Skip to main content

New Order

Request

POST /api/v3/order?symbol=MXUSDT&side=BUY&type=LIMIT&quantity=50&price=0.1&timestamp={{timestamp}}&signature={{signature}}

Response

{
"symbol": "MXUSDT",
"orderId": "06a480e69e604477bfb48dddd5f0b750",
"orderListId": -1,
"price": "0.1",
"origQty": "50",
"type": "LIMIT",
"side": "BUY",
"stpMode": "",
"transactTime": 1666676533741
}
  • POST /api/v3/order

Permission: SPOT_DEAL_WRITE

Rate limit: Shared with the cancel order endpoint, 12 requests/second

Parameters:

NametypeMandatoryDescription
symbolSTRINGYES
sideENUMYESENUM: Order Side
typeENUMYESENUM: Order Type
quantityDECIMALNOQuantity
quoteOrderQtyDECIMALNOQuote order quantity
priceDECIMALNOPrice
newClientOrderIdSTRINGNO
stpModeSTRINGNO“” - Default value, no restriction on self-trading.“cancel_maker” - Cancel the maker order.“cancel_taker” - Cancel the taker order.“cancel_both” - Cancel both sides.
recvWindowLONGNOMax 60000
timestampLONGYES

Response:

NameDescription
symbolSymbol
orderIdorder id
orderListIdorder list id
pricePrice
origQtyOriginal order quantity
typeENUM: Order Type
sideENUM: Order Side
stpMode“” - Default value, no restriction on self-trading.“CANCEL_MAKER” - Cancel the maker order.“CANCEL_TAKER” - Cancel the taker order.“CANCEL_BOTH” - Cancel both sides.
transactTimetransactTime

Additional mandatory parameters based on type:

TypeAdditional mandatory parameters
LIMITquantity, price
MARKETquantity or quoteOrderQty

Other info:

  1. The default value of stpMode is "", meaning no self-trade prevention check.
  2. Conditions for self-trade prevention to take effect:
  • At least one strategy group must be created;
  • The stpMode parameter must not be empty;
  1. For other self-trade issues, please refer to: Introduction to Self-Trade Prevention;
  2. When stpMode = "", self-trading is not restricted.

MARKET: When type is market, quoteOrderQty or quantity required to choose anyone.

  • MARKET orders using the quantity field specifies the amount of the base asset the user wants to sell at the market price
    • For example, sending a MARKET order on BTCUSDT will specify how much BTC the user is selling.
  • MARKET orders using quoteOrderQty specifies the amount the user wants to spend (when buying) the quote asset; the correct quantity will be determined based on the market liquidity
    • Using BTCUSDT as an example:
      • On the BUY side, the order will buy as many BTC as quoteOrderQty USDT can.
      • On the SELL side, the order will sell the quantity of BTC.